Bug Hunting Session
Bug 50539 - FILEOPEN: RTF file opens with black letters and black background
Summary: FILEOPEN: RTF file opens with black letters and black background
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.6.0 target:3.5.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-05-31 07:07 UTC by Dave Richards
Modified: 2012-06-06 11:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
OpenOffice vs LibreOffice with same file. (236.83 KB, image/png)
2012-05-31 07:07 UTC, Dave Richards
Details
Document that fails to open correctly. (13.47 KB, text/rtf)
2012-05-31 07:08 UTC, Dave Richards
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Richards 2012-05-31 07:07:26 UTC
Created attachment 62335 [details]
OpenOffice vs LibreOffice with same file.

The attached file opened fine in OpenOffice, but in LibreOffice opens with black letters and a black background.
Comment 1 Dave Richards 2012-05-31 07:08:07 UTC
Created attachment 62336 [details]
Document that fails to open correctly.
Comment 2 s-joyemusequna 2012-05-31 10:17:41 UTC
Confirmed with LibO 3.5.4 and LOdev 3.6 (master - 23-May-2012 03h12 x86@6-fast; Build ID: 7e65666) under Windows Vista 64 and Windows XP.

Works fine with LibO 3.4.5 (and Word 2007) => REGRESSION
Comment 3 Miklos Vajna 2012-06-01 06:07:50 UTC
Assign to me.
Comment 4 Not Assigned 2012-06-01 07:40:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9bbb849dd892fc79df4b2a06253c8cf02cbbcbdf

fdo#50539 fix RTF import of automatic character background color
Comment 5 Miklos Vajna 2012-06-01 07:49:27 UTC
Fixed in master now.
Comment 6 Jean-Baptiste Faure 2012-06-03 04:31:45 UTC
(In reply to comment #5)
> Fixed in master now.

Hi Miklos,

Is your fix backportable to 3.5.x ?

Best regards. JBF
Comment 7 Miklos Vajna 2012-06-04 00:54:46 UTC
Hi JBF,

Sure, it's in my queue along with bug 49968.

Miklos
Comment 8 Not Assigned 2012-06-05 07:37:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41bb183bfb366d04817b4c2522e12936d473d99c&g=libreoffice-3-5

fdo#50539 fix RTF import of automatic character background color


It will be available in LibreOffice 3.5.5.
Comment 9 s-joyemusequna 2012-06-06 11:17:10 UTC
Verified with LOdev 3.7 (master - 06-Jun-2012 04h12 x86@6-fast; Build ID: b255de8) under Windows Vista 64.